# Makefile.in generated by automake 1.14.1 from Makefile.am.
# modules/xcos/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
# Copyright (C) DIGITEO - 2009-2010 - Allan CORNET <allan.cornet@scilab.org>
# Copyright (C) DIGITEO - 2010-2010 - Clément DAVID <clement.david@scilab.org>
#
# This file must be used under the terms of the CeCILL.
# This source file is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at
# http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
#

# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
# Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
# Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
#
# This file must be used under the terms of the CeCILL.
# This source file is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at
# http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
#

##########
### Makefile included stuff
### Target, variable, suffixes which are supposed to be useful in every makefile.am
##########



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/scilab
pkgincludedir = $(includedir)/scilab
pkglibdir = $(libdir)/scilab
pkglibexecdir = $(libexecdir)/scilab
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
am__append_1 = libscixcos.la
DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
	$(top_srcdir)/config/depcomp
am__append_2 = java
subdir = modules/xcos
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
	$(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
	$(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
	$(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
	$(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
	$(top_srcdir)/m4/intel_compiler.m4 \
	$(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
	$(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
	$(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
	$(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
	$(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
	$(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkglibdir)" \
	"$(DESTDIR)$(libscixcos_la_etcdir)" \
	"$(DESTDIR)$(libscixcos_la_rootdir)" \
	"$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" \
	"$(DESTDIR)$(libscixcos_la_imagesdir)"
LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
libscixcos_algo_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = src/jni/libscixcos_algo_la-Xcos.lo \
	src/jni/libscixcos_algo_la-Palette.lo \
	src/jni/libscixcos_algo_la-Modelica.lo \
	src/cpp/libscixcos_algo_la-xcosUtilities.lo
am_libscixcos_algo_la_OBJECTS = $(am__objects_1)
libscixcos_algo_la_OBJECTS = $(am_libscixcos_algo_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_libscixcos_algo_la_rpath =
libscixcos_disable_la_LIBADD =
am__objects_2 = src/noxcos/libscixcos_disable_la-noxcos.lo
am_libscixcos_disable_la_OBJECTS = $(am__objects_2)
libscixcos_disable_la_OBJECTS = $(am_libscixcos_disable_la_OBJECTS)
libscixcos_la_DEPENDENCIES = libscixcos-algo.la \
	$(top_builddir)/modules/commons/libscicommons.la
am__objects_3 = sci_gateway/c/libscixcos_la-gw_xcos.lo
am__objects_4 = sci_gateway/cpp/libscixcos_la-sci_Xcos.lo \
	sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo \
	sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo \
	sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo \
	sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo
am_libscixcos_la_OBJECTS = $(am__objects_3) $(am__objects_4)
libscixcos_la_OBJECTS = $(am_libscixcos_la_OBJECTS)
am_libscixcos_la_rpath = -rpath $(pkglibdir)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/modules/core/includes
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libscixcos_algo_la_SOURCES) \
	$(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
DIST_SOURCES = $(libscixcos_algo_la_SOURCES) \
	$(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(libscixcos_la_etc_DATA) $(libscixcos_la_root_DATA) \
	$(libscixcos_la_sci_gateway_DATA) \
	$(nobase_libscixcos_la_images_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/shashank/scilab-master_5.5.2/config/missing aclocal-1.14
ALL_LINGUAS = en_US fr_FR zh_CN zh_TW ru_RU ca_ES de_DE es_ES pt_BR ja_JP it_IT uk_UA pl_PL cs_CZ
ALL_LINGUAS_DOC = en_US fr_FR pt_BR ja_JP ru_RU
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ANT = /usr/bin/ant
ANTLR = /usr/share/java/antlr.jar
AR = ar
ARPACK_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -larpack
ASM3 = /usr/share/java/asm3-3.3.2.jar
AUTOCONF = ${SHELL} /home/shashank/scilab-master_5.5.2/config/missing autoconf
AUTOHEADER = ${SHELL} /home/shashank/scilab-master_5.5.2/config/missing autoheader
AUTOMAKE = ${SHELL} /home/shashank/scilab-master_5.5.2/config/missing automake-1.14
AVALON_FRAMEWORK = /home/shashank/scilab-master_5.5.2/thirdparty/avalon-framework.jar
AWK = mawk
BATIK = /home/shashank/scilab-master_5.5.2/thirdparty/batik-all-1.7.jar
BLAS_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -lblas
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECKSTYLE = 
COBERTURA = /usr/share/java/cobertura.jar
COMMONS_BEANUTILS = 
COMMONS_IO = /home/shashank/scilab-master_5.5.2/thirdparty/commons-io.jar
COMMONS_LOGGING = /home/shashank/scilab-master_5.5.2/thirdparty/commons-logging.jar
CPP = gcc -E
CPPFLAGS = 
CURL_CFLAGS = -I/home/shashank/scilab-master_5.5.2/usr/include
CURL_CONFIG = /home/shashank/scilab-master_5.5.2/usr/bin/curl-config
CURL_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -lcurl -L/home/scilab/work/linux-prerequisites-sources/trunk/Dev-Tools/SE/Prerequirements/linux_x64/usr/lib -L/home/scilab/work/linux-prerequisites-sources/trunk/Dev-Tools/SE/Prerequirements/linux_x64/usr/lib -lssl -lcrypto -lrt -lz
CURL_VERSION = libcurl 7.19.7
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEMOTOOLS_ENABLE = yes
DEPDIR = .deps
DLLTOOL = false
DOCBOOK_ROOT = /home/shashank/scilab-master_5.5.2/thirdparty/docbook/
DOXYGEN_BIN = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
ECJ = /home/shashank/scilab-master_5.5.2/thirdparty/ecj.jar
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -g -O2
FFTW3_LIB = -L/home/shashank/scilab-master_5.5.2/usr/lib -lfftw3
FFTW_ENABLE = yes
FGREP = /bin/grep -F
FLEXDOCK = /home/shashank/scilab-master_5.5.2/thirdparty/flexdock-1.2.4.jar
FLIBS =  -L/usr/lib/gcc/x86_64-linux-gnu/5 -L/usr/lib/gcc/x86_64-linux-gnu/5/../../../x86_64-linux-gnu -L/usr/lib/gcc/x86_64-linux-gnu/5/../../../../lib -L/lib/x86_64-linux-gnu -L/lib/../lib -L/usr/lib/x86_64-linux-gnu -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-linux-gnu/5/../../.. -lpthread -ldl -lcurses -lgfortran -lm -lquadmath
FOP = /home/shashank/scilab-master_5.5.2/thirdparty/fop.jar
FREEHEP_GRAPHICS2D = /home/shashank/scilab-master_5.5.2/thirdparty/freehep-graphics2d.jar
FREEHEP_GRAPHICSIO = /home/shashank/scilab-master_5.5.2/thirdparty/freehep-graphicsio.jar
FREEHEP_GRAPHICSIO_EMF = /home/shashank/scilab-master_5.5.2/thirdparty/freehep-graphicsio-emf.jar
FREEHEP_IO = /home/shashank/scilab-master_5.5.2/thirdparty/freehep-io.jar
FREEHEP_UTIL = /home/shashank/scilab-master_5.5.2/thirdparty/freehep-util.jar
GENHTML = 
GETTEXT_MACRO_VERSION = 0.19
GIWS_BIN = 
GLUEGEN2_RT = /home/shashank/scilab-master_5.5.2/thirdparty/gluegen2-rt.jar
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GRAPHICS_ENABLE = yes
GREP = /bin/grep
GUI_ENABLE = yes
HDF5_CFLAGS = -I/home/shashank/scilab-master_5.5.2/usr/include
HDF5_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -lhdf5 -lhdf5_hl
HELP_ENABLE = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JAR = /usr/lib/jvm/java-8-openjdk-amd64/bin/jar
JAVA = /usr/lib/jvm/java-8-openjdk-amd64/bin/java
JAVAC = /usr/lib/jvm/java-8-openjdk-amd64/bin/javac
JAVAC_DEBUG = off
JAVADOC = /usr/lib/jvm/java-8-openjdk-amd64/bin/javadoc
JAVAH = /usr/lib/jvm/java-8-openjdk-amd64/bin/javah
JAVASCI_ENABLE = yes
JAVA_ENABLE = yes
JAVA_G = /usr/lib/jvm/java-8-openjdk-amd64/bin/java
JAVA_HOME = /usr/lib/jvm/java-8-openjdk-amd64
JAVA_JNI_INCLUDE = -I/usr/lib/jvm/java-8-openjdk-amd64/include -I/usr/lib/jvm/java-8-openjdk-amd64/include/linux
JAVA_JNI_LIBS = -L/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64 -ljava -lverify -L/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64/server -ljvm
JDB = /usr/lib/jvm/java-8-openjdk-amd64/bin/jdb
JEUCLID_CORE = /home/shashank/scilab-master_5.5.2/thirdparty/jeuclid-core.jar
JGRAPHX = /home/shashank/scilab-master_5.5.2/thirdparty/jgraphx.jar
JHALL = /home/shashank/scilab-master_5.5.2/thirdparty/jhall.jar
JLATEXMATH = /home/shashank/scilab-master_5.5.2/thirdparty/jlatexmath-1.0.3.jar
JLATEXMATH_FOP = /home/shashank/scilab-master_5.5.2/thirdparty/jlatexmath-fop-1.0.3.jar
JOGL2 = /home/shashank/scilab-master_5.5.2/thirdparty/jogl2.jar
JROSETTA_API = /home/shashank/scilab-master_5.5.2/thirdparty/jrosetta-API.jar
JROSETTA_ENGINE = /home/shashank/scilab-master_5.5.2/thirdparty/jrosetta-engine.jar
JUNIT4 = /usr/share/java/junit4.jar
LAPACK_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -llapack
LCOV = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -Wl,--no-as-needed
LIBICONV = -liconv
LIBINTL = 
LIBM = -lm
LIBOBJS = 
LIBS = -lpthread -ldl -lcurses  -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LOGGING_LEVEL = SEVERE
LOOKS = /home/shashank/scilab-master_5.5.2/thirdparty/looks-2.1.1.jar
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/shashank/scilab-master_5.5.2/config/missing makeinfo
MANIFEST_TOOL = :
MATIO_CFLAGS = -I/home/shashank/scilab-master_5.5.2/usr/include
MATIO_ENABLE = yes
MATIO_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -lm -lz -lmatio -lhdf5
MKDIR_P = /bin/mkdir -p
MPI_ENABLE = no
MSGCAT = /usr/bin/msgcat
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = nm
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCAMLC = ocamlc
OCAMLDEP = ocamldep
OCAMLLEX = ocamllex
OCAMLOPT = ocamlopt
OCAMLYACC = ocamlyacc
OPENMPI_CC = 
OPENMPI_CFLAGS = 
OPENMPI_CXX = 
OPENMPI_CXXFLAGS = 
OPENMPI_LIBS = 
OPENMP_CFLAGS = -fopenmp
OPENMP_CXXFLAGS = -fopenmp
OPENMP_ENABLE = yes
OPENMP_LIBS = -lgomp -lstdc++
OTOOL = 
OTOOL64 = 
PACKAGE = scilab
PACKAGE_BUGREPORT = http://bugzilla.scilab.org/
PACKAGE_NAME = Scilab
PACKAGE_STRING = Scilab 5
PACKAGE_TARNAME = scilab
PACKAGE_URL = 
PACKAGE_VERSION = 5
PATH_SEPARATOR = :
PCRE_CFLAGS = -I/home/shashank/scilab-master_5.5.2/usr/include
PCRE_CONFIG = /home/shashank/scilab-master_5.5.2/usr/bin/pcre-config
PCRE_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -lpcreposix -lpcre
PCRE_VERSION = 8.35
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
POW_LIB = 
PYTHON = 
RANLIB = ranlib
RELOCATABLE = no
RT_LIB = -lrt
SAXON = /home/shashank/scilab-master_5.5.2/thirdparty/saxon9he.jar
SCILAB_BINARY_VERSION = 5.5.2
SCILAB_LIBRARY_VERSION = 5:5:2
SCILAB_VERSION_MAINTENANCE = 2
SCILAB_VERSION_MAJOR = 5
SCILAB_VERSION_MINOR = 5
SCIRENDERER = ${modules.dir}/scirenderer/${build.jar.dir}/scirenderer.jar
SCIRENDERER_CP = $SCILAB/modules/scirenderer/jar/scirenderer.jar
SCI_CFLAGS = -D_LARGEFILE64_SOURCE -DNDEBUG -m64 -fno-stack-protector
SCI_CXXFLAGS = -DNDEBUG -fno-stack-protector
SCI_FFLAGS = -DNDEBUG -m64 -fPIC
SCI_LDFLAGS = 
SED = /bin/sed
SET_MAKE = 
SET_RELOCATABLE = 
SHELL = /bin/bash
SKINLF = /home/shashank/scilab-master_5.5.2/thirdparty/skinlf.jar
SPLINT = no
STRIP = strip
SWIG_BIN = 
SWIG_JAVA = 
SWIG_RUNTIME_LIBS_DIR = 
SWIG_SCILAB = 
TCLTK_LIBS =  -L/home/shashank/scilab-master_5.5.2/usr/lib -ltk8.5   -L/home/shashank/scilab-master_5.5.2/usr/lib -ltcl8.5  -ldl
TCL_INC_PATH = -I/home/shashank/scilab-master_5.5.2/usr/include
TK_INC_PATH = -I/home/shashank/scilab-master_5.5.2/usr/include
UMFPACK_CFLAGS = -I/home/shashank/scilab-master_5.5.2/usr/include
UMFPACK_ENABLE = yes
UMFPACK_LIB = -L/home/shashank/scilab-master_5.5.2/usr/lib -lumfpack -lamd
USE_NLS = yes
VERSION = 5
WITH_OCAML = 
WITH_TKSCI = yes
XCOS_ENABLE = yes
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMKMF = 
XMLGRAPHICS_COMMONS = /home/shashank/scilab-master_5.5.2/thirdparty/xmlgraphics-commons-1.4.jar
XML_APIS_EXT = /home/shashank/scilab-master_5.5.2/thirdparty/xml-apis-ext.jar
XML_CONFIG = /home/shashank/scilab-master_5.5.2/usr/bin/xml2-config
XML_FLAGS = -I/home/shashank/scilab-master_5.5.2/usr/include/libxml2
XML_LIBS = -L/home/shashank/scilab-master_5.5.2/usr/lib -lxml2 -L/home/scilab/work/linux-prerequisites-sources/trunk/Dev-Tools/SE/Prerequirements/linux_x64/usr/lib -lz -lm -ldl
XML_VERSION = 2.9.1
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS = 
abs_builddir = /home/shashank/scilab-master_5.5.2/modules/xcos
abs_srcdir = /home/shashank/scilab-master_5.5.2/modules/xcos
abs_top_builddir = /home/shashank/scilab-master_5.5.2
abs_top_srcdir = /home/shashank/scilab-master_5.5.2
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
cxx_present = yes
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/shashank/scilab-master_5.5.2/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..

#### Target ######
modulename = xcos

#### xcos : Conf files ####
libscixcos_la_rootdir = $(mydatadir)
libscixcos_la_root_DATA = license.txt

#### xcos : init scripts ####
libscixcos_la_etcdir = $(mydatadir)/etc
libscixcos_la_etc_DATA = \
	etc/xcos.quit \
	etc/xcos.start \
	etc/Xcos-style.xml \
	etc/XcosFile.xsd \
	etc/xcos.xml \
	etc/XcosConfiguration.xsd \
	etc/palettes.xml \
	etc/PaletteConfiguration.xsd \
	etc/Modelica.xsd \
	etc/XConfiguration-xcos.xsl \
	etc/XConfiguration-xcos.xml

XCOS_CXX_SOURCES = src/jni/Xcos.cpp \
			src/jni/Xcos.hxx \
			src/jni/Palette.cpp \
			src/jni/Palette.hxx \
			src/jni/Modelica.cpp \
			src/jni/Modelica.hxx \
			src/cpp/xcosUtilities.cpp

GIWS_WRAPPERS = src/jni/Xcos.giws.xml \
			src/jni/Palette.giws.xml \
			src/jni/Modelica.giws.xml

#BUILT_SOURCES = giws
GATEWAY_C_SOURCES = sci_gateway/c/gw_xcos.c
GATEWAY_CXX_SOURCES = \
	sci_gateway/cpp/sci_Xcos.cpp \
	sci_gateway/cpp/sci_warnBlockByUID.cpp \
	sci_gateway/cpp/sci_closeXcosFromScilab.cpp \
	sci_gateway/cpp/sci_xcosDiagramToScilab.cpp \
	sci_gateway/cpp/sci_xcosPalLoad.cpp \
	sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp \
	sci_gateway/cpp/sci_xcosPalDelete.cpp \
	sci_gateway/cpp/sci_xcosPalMove.cpp \
	sci_gateway/cpp/sci_xcosPalEnable.cpp \
	sci_gateway/cpp/sci_xcosPalDisable.cpp \
	sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp \
	sci_gateway/cpp/sci_xcosPalGet.cpp \
	sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp \
	sci_gateway/cpp/sci_xcosAddToolsMenu.cpp \
	sci_gateway/cpp/sci_xcosUpdateBlock.cpp \
	sci_gateway/cpp/sci_loadXcos.cpp \
	sci_gateway/cpp/sci_xcosSimulationStarted.cpp

libscixcos_la_CPPFLAGS = \
			-I$(srcdir)/includes/ \
			-I$(srcdir)/src/jni/ \
			-I$(srcdir)/src/cpp/ \
			-I$(srcdir)/src/c/ \
	 		-I$(top_srcdir)/modules/jvm/includes/ \
			-I$(top_srcdir)/modules/output_stream/includes/ \
			-I$(top_srcdir)/modules/commons/src/jni/ \
			-I$(top_srcdir)/modules/localization/includes/ \
			-I$(top_srcdir)/modules/fileio/includes/ \
			-I$(top_srcdir)/modules/scicos_blocks/src/jni/ \
			-I$(top_srcdir)/modules/api_scilab/includes/ \
			$(JAVA_JNI_INCLUDE) \
			$(AM_CPPFLAGS)


# Without the xcos module
libscixcos_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
			-I$(top_srcdir)/modules/localization/includes/ \
			-I$(top_srcdir)/modules/output_stream/includes \
			$(AM_CPPFLAGS)

XCOS_DISABLE_C_SOURCES = src/noxcos/noxcos.c
libscixcos_disable_la_SOURCES = $(XCOS_DISABLE_C_SOURCES)
pkglib_LTLIBRARIES = libscixcos-disable.la $(am__append_1)
noinst_LTLIBRARIES = libscixcos-algo.la
libscixcos_algo_la_SOURCES = $(XCOS_C_SOURCES) $(XCOS_CXX_SOURCES)
libscixcos_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
libscixcos_algo_la_CPPFLAGS = $(libscixcos_la_CPPFLAGS)

# For the code check (splint)
CHECK_SRC = $(XCOS_C_SOURCES) $(GATEWAY_C_SOURCES)
INCLUDE_FLAGS = $(libscixcos_la_CPPFLAGS)
libscixcos_la_LIBADD = libscixcos-algo.la \
		$(top_builddir)/modules/commons/libscicommons.la


#### xcos : gateway declaration ####
libscixcos_la_sci_gatewaydir = $(mydatadir)/sci_gateway
libscixcos_la_sci_gateway_DATA = sci_gateway/xcos_gateway.xml

#### xcos : images files ####
#
# Generated with:
#   $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png -not -name *_pal.jpg -not -name gui |sort |awk '$0 !~ /gui/{print;}' |awk '$0 !~ /_pal.jpg/{print;}'
libscixcos_la_imagesdir = $(mydatadir)/
nobase_libscixcos_la_images_DATA = images/blocks/3DSCOPE.svg \
images/blocks/ANDBLK.svg \
images/blocks/ASCOPE.svg \
images/blocks/BACHE.svg \
images/blocks/BARXY.svg \
images/blocks/BPLATFORM.svg \
images/blocks/Capacitor.svg \
images/blocks/CCS.svg \
images/blocks/CLOCK_c.svg \
images/blocks/CLOCK_f.svg \
images/blocks/ConstantVoltage.svg \
images/blocks/CSCOPXY.svg \
images/blocks/CSCOPXY3D.svg \
images/blocks/CurrentSensor.svg \
images/blocks/CVS.svg \
images/blocks/DEADBAND.svg \
images/blocks/Diode.svg \
images/blocks/DSCOPE.svg \
images/blocks/Flowmeter.svg \
images/blocks/Ground.svg \
images/blocks/Gyrator.svg \
images/blocks/HYSTHERESIS.svg \
images/blocks/IdealTransformer.svg \
images/blocks/Inductor.svg \
images/blocks/INTEGRAL.svg \
images/blocks/NMOS.svg \
images/blocks/NPN.svg \
images/blocks/PerteDP.svg \
images/blocks/PMOS.svg \
images/blocks/PNP.svg \
images/blocks/PotentialSensor.svg \
images/blocks/PRODUCT.svg \
images/blocks/PuitP.svg \
images/blocks/PULSE_SC.svg \
images/blocks/QUANT_f.svg \
images/blocks/RAMP.svg \
images/blocks/Resistor.svg \
images/blocks/SampleCLK.svg \
images/blocks/SATURATION.svg \
images/blocks/sawtooth.svg \
images/blocks/Self_Switch_off.svg \
images/blocks/Self_Switch_on.svg \
images/blocks/SELF_SWITCH.svg \
images/blocks/SINUS_f.svg \
images/blocks/SourceP.svg \
images/blocks/SQUARE_WAVE_f.svg \
images/blocks/STEP_FUNCTION.svg \
images/blocks/SUM.svg \
images/blocks/SUPER.svg \
images/blocks/SWITCH.svg \
images/blocks/VanneReglante.svg \
images/blocks/VariableResistor.svg \
images/blocks/VoltageSensor.svg \
images/icons/16x16/actions/align-horizontal-center.png \
images/icons/16x16/actions/align-horizontal-left.png \
images/icons/16x16/actions/align-horizontal-right.png \
images/icons/16x16/actions/align-vertical-bottom.png \
images/icons/16x16/actions/align-vertical-center.png \
images/icons/16x16/actions/align-vertical-top.png \
images/icons/16x16/actions/color-fill.png \
images/icons/16x16/actions/draw-brush.png \
images/icons/16x16/actions/object-group.png \
images/icons/16x16/actions/process-stop.png \
images/icons/16x16/actions/select-by-color.png \
images/icons/16x16/actions/transform-flip.png \
images/icons/16x16/actions/transform-mirror.png \
images/icons/16x16/categories/preferences-desktop.png \
images/palettes/ABS_VALUE.png \
images/palettes/AFFICH_m.png \
images/palettes/ANDBLK.png \
images/palettes/ANDLOG_f.png \
images/palettes/AUTOMAT.png \
images/palettes/Bache.png \
images/palettes/BACKLASH.png \
images/palettes/BARXY.png \
images/palettes/BIGSOM_f.png \
images/palettes/BITCLEAR.png \
images/palettes/BITSET.png \
images/palettes/BOUNCE.png \
images/palettes/BOUNCEXY.png \
images/palettes/BPLATFORM.png \
images/palettes/CANIMXY3D.png \
images/palettes/CANIMXY.png \
images/palettes/Capacitor.png \
images/palettes/c_block.png \
images/palettes/CBLOCK.png \
images/palettes/CCS.png \
images/palettes/CEVENTSCOPE.png \
images/palettes/CFSCOPE.png \
images/palettes/CLINDUMMY_f.png \
images/palettes/CLKFROM.png \
images/palettes/CLKGOTO.png \
images/palettes/CLKGotoTagVisibility.png \
images/palettes/CLKINV_f.png \
images/palettes/CLKOUTV_f.png \
images/palettes/CLKSOMV_f.png \
images/palettes/CLOCK_c.png \
images/palettes/CLR.png \
images/palettes/CLSS.png \
images/palettes/CMAT3D.png \
images/palettes/CMATVIEW.png \
images/palettes/CMSCOPE.png \
images/palettes/ConstantVoltage.png \
images/palettes/CONST_f.png \
images/palettes/CONST_m.png \
images/palettes/CONST.png \
images/palettes/CONSTRAINT2_c.png \
images/palettes/CONSTRAINT_c.png \
images/palettes/CONVERT.png \
images/palettes/COSBLK_f.png \
images/palettes/Counter.png \
images/palettes/CSCOPE.png \
images/palettes/CSCOPXY3D.png \
images/palettes/CSCOPXY.png \
images/palettes/CUMSUM.png \
images/palettes/CurrentSensor.png \
images/palettes/CURV_f.png \
images/palettes/CVS.png \
images/palettes/DEADBAND.png \
images/palettes/DEBUG.png \
images/palettes/DELAY_f.png \
images/palettes/DELAYV_f.png \
images/palettes/DEMUX_f.png \
images/palettes/DEMUX.png \
images/palettes/DERIV.png \
images/palettes/DFLIPFLOP.png \
images/palettes/DIFF_f.png \
images/palettes/Diode.png \
images/palettes/DLATCH.png \
images/palettes/DLRADAPT_f.png \
images/palettes/DLR.png \
images/palettes/DLSS.png \
images/palettes/DOLLAR_f.png \
images/palettes/DOLLAR_m.png \
images/palettes/DOLLAR.png \
images/palettes/EDGE_TRIGGER.png \
images/palettes/ENDBLK.png \
images/palettes/END_c.png \
images/palettes/ESELECT_f.png \
images/palettes/EVTDLY_c.png \
images/palettes/EVTGEN_f.png \
images/palettes/EVTVARDLY.png \
images/palettes/EXPBLK_m.png \
images/palettes/EXPRESSION.png \
images/palettes/Extract_Activation.png \
images/palettes/EXTRACTBITS.png \
images/palettes/EXTRACTOR.png \
images/palettes/EXTRACT.png \
images/palettes/EXTTRI.png \
images/palettes/Flowmeter.png \
images/palettes/fortran_block.png \
images/palettes/freq_div.png \
images/palettes/FROMMO.png \
images/palettes/FROM.png \
images/palettes/FROMWSB.png \
images/palettes/GAINBLK_f.png \
images/palettes/GAINBLK.png \
images/palettes/GAIN_f.png \
images/palettes/GENERAL_f.png \
images/palettes/generic_block3.png \
images/palettes/GENSIN_f.png \
images/palettes/GENSQR_f.png \
images/palettes/GOTOMO.png \
images/palettes/GOTO.png \
images/palettes/GotoTagVisibilityMO.png \
images/palettes/GotoTagVisibility.png \
images/palettes/Ground.png \
images/palettes/Gyrator.png \
images/palettes/HALT_f.png \
images/palettes/HYSTHERESIS.png \
images/palettes/IdealTransformer.png \
images/palettes/IFTHEL_f.png \
images/palettes/Inductor.png \
images/palettes/IN_f.png \
images/palettes/INIMPL_f.png \
images/palettes/INTEGRAL_f.png \
images/palettes/INTEGRAL_m.png \
images/palettes/INTMUL.png \
images/palettes/INTRP2BLK_f.png \
images/palettes/INTRPLBLK_f.png \
images/palettes/INVBLK.png \
images/palettes/ISELECT_m.png \
images/palettes/JKFLIPFLOP.png \
images/palettes/LOGBLK_f.png \
images/palettes/LOGICAL_OP.png \
images/palettes/LOGIC.png \
images/palettes/LOOKUP_f.png \
images/palettes/MATBKSL.png \
images/palettes/MATCATH.png \
images/palettes/MATCATV.png \
images/palettes/MATDET.png \
images/palettes/MATDIAG.png \
images/palettes/MATDIV.png \
images/palettes/MATEIG.png \
images/palettes/MATEXPM.png \
images/palettes/MATINV.png \
images/palettes/MATLU.png \
images/palettes/MATMAGPHI.png \
images/palettes/MATMUL.png \
images/palettes/MATPINV.png \
images/palettes/MATRESH.png \
images/palettes/MATSING.png \
images/palettes/MATSUM.png \
images/palettes/MATTRAN.png \
images/palettes/MATZCONJ.png \
images/palettes/MATZREIM.png \
images/palettes/MAX_f.png \
images/palettes/MAXMIN.png \
images/palettes/MBLOCK.png \
images/palettes/MCLOCK_f.png \
images/palettes/MFCLCK_f.png \
images/palettes/M_freq.png \
images/palettes/MIN_f.png \
images/palettes/Modulo_Count.png \
images/palettes/M_SWITCH.png \
images/palettes/MUX_f.png \
images/palettes/MUX.png \
images/palettes/NEGTOPOS_f.png \
images/palettes/NMOS.png \
images/palettes/NPN.png \
images/palettes/NRMSOM_f.png \
images/palettes/OpAmp.png \
images/palettes/OUT_f.png \
images/palettes/OUTIMPL_f.png \
images/palettes/PDE.png \
images/palettes/PerteDP.png \
images/palettes/PID.png \
images/palettes/PMOS.png \
images/palettes/PNP.png \
images/palettes/POSTONEG_f.png \
images/palettes/PotentialSensor.png \
images/palettes/POWBLK_f.png \
images/palettes/PROD_f.png \
images/palettes/PRODUCT.png \
images/palettes/PuitsP.png \
images/palettes/PULSE_SC.png \
images/palettes/QUANT_f.png \
images/palettes/RAMP.png \
images/palettes/RAND_m.png \
images/palettes/RATELIMITER.png \
images/palettes/READAU_f.png \
images/palettes/READC_f.png \
images/palettes/REGISTER.png \
images/palettes/RELATIONALOP.png \
images/palettes/RELAY_f.png \
images/palettes/Resistor.png \
images/palettes/RFILE_f.png \
images/palettes/RICC.png \
images/palettes/ROOTCOEF.png \
images/palettes/SAMPHOLD_m.png \
images/palettes/SampleCLK.png \
images/palettes/SATURATION.png \
images/palettes/SAWTOOTH_f.png \
images/palettes/SCALAR2VECTOR.png \
images/palettes/scifunc_block_m.png \
images/palettes/SELECT_m.png \
images/palettes/SELF_SWITCH_off.png \
images/palettes/SELF_SWITCH_on.png \
images/palettes/SELF_SWITCH.png \
images/palettes/SHIFT.png \
images/palettes/Sigbuilder.png \
images/palettes/SIGNUM.png \
images/palettes/SINBLK_f.png \
images/palettes/SineVoltage.png \
images/palettes/SOM_f.png \
images/palettes/SourceP.png \
images/palettes/SQRT.png \
images/palettes/SRFLIPFLOP.png \
images/palettes/STEP_FUNCTION.png \
images/palettes/SUBMAT.png \
images/palettes/SUM_f.png \
images/palettes/SUMMATION.png \
images/palettes/SUPER_f.png \
images/palettes/SWITCH2_m.png \
images/palettes/SWITCH_f.png \
images/palettes/Switch.png \
images/palettes/TANBLK_f.png \
images/palettes/TCLSS.png \
images/palettes/TEXT_f.png \
images/palettes/TIME_DELAY.png \
images/palettes/TIME_f.png \
images/palettes/TKSCALE.png \
images/palettes/TOWS_c.png \
images/palettes/TRASH_f.png \
images/palettes/TrigFun.png \
images/palettes/VanneReglante.png \
images/palettes/VARIABLE_DELAY.png \
images/palettes/VariableResistor.png \
images/palettes/VirtualCLK0.png \
images/palettes/VoltageSensor.png \
images/palettes/VsourceAC.png \
images/palettes/VVsourceAC.png \
images/palettes/WFILE_f.png \
images/palettes/WRITEAU_f.png \
images/palettes/WRITEC_f.png \
images/palettes/ZCROSS_f.png

USEANT = 1

# Where all the Scilab stuff is installed (macros, help, ...)
mydatadir = $(pkgdatadir)/modules/$(modulename)

# Set AM_* SCI detected settings
AM_CPPFLAGS = $(SCI_CPPFLAGS)
AM_CFLAGS = $(SCI_CFLAGS)
AM_CXXFLAGS = $(SCI_CXXFLAGS)
# append includes to AM_FFLAGS to manage fortran includes
AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/

# Tag shared libraries with the Scilab version
AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)

# splint options
SPLINT_OPTIONS = -weak -booltype BOOL

########################### JAVA ######################################
#### We are delegating java compilation to ant... Thanks to that
#### the procedure will be the same with Microsoft Windows (C)
#### and Linux/Unix
#######################################################################
TARGETS_ALL = $(am__append_2)

################ MACROS ######################
# Rule to build a macro
# NOT USED  AT THE MOMENT
SUFFIXES = .sci 

########### INSTALL DOCUMENTATION ###################

# Install documentation files into the right target
# We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
# automake needs the html files to be present which is not the case when
# we are building Scilab

# Where it should be installed
pkgdocdir = $(mydatadir)

# What is the mask of the help source
DOCMASKXML = *.xml

# What is the mask of the MathML sources
DOCMASKMML = *.mml

########### INSTALL DATA ###################
# Install macros, help & demos
# Where it should be installed
pkgmacrosdir = $(mydatadir)
# Which directory we process
MACRODIRS = macros/
# Mask of the Scilab sources macros
MACROMASK = *.sci
# Mask of the Scilab executable sources macros
MACROBUILDMASK = *.sce
# Mask of the Scilab compiled macros
MACROBINMASK = *.bin
# List of the standard directory for tests
TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
# Where the demos should be installed
pkgdemosdir = $(mydatadir)
# List of the standard directory for demos
DEMOS_DIR = demos
# List of the standard directory for examples
EXAMPLES_DIR = examples
# Where to export JAVA archives (.jar)
JARDIR = jar/
# JAR files mask
JARMASK = *.jar
# Chapter file 
HELP_CHAPTERDIR = help/
HELP_CHAPTERFILE = addchapter.sce
HELP_CHAPTERLANG = en_US fr_FR pt_BR
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .sci .bin .c .cpp .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/xcos/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign modules/xcos/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/Makefile.incl.am:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
	}

uninstall-pkglibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
	done

clean-pkglibLTLIBRARIES:
	-test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
	@list='$(pkglib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}
src/jni/$(am__dirstamp):
	@$(MKDIR_P) src/jni
	@: > src/jni/$(am__dirstamp)
src/jni/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/jni/$(DEPDIR)
	@: > src/jni/$(DEPDIR)/$(am__dirstamp)
src/jni/libscixcos_algo_la-Xcos.lo: src/jni/$(am__dirstamp) \
	src/jni/$(DEPDIR)/$(am__dirstamp)
src/jni/libscixcos_algo_la-Palette.lo: src/jni/$(am__dirstamp) \
	src/jni/$(DEPDIR)/$(am__dirstamp)
src/jni/libscixcos_algo_la-Modelica.lo: src/jni/$(am__dirstamp) \
	src/jni/$(DEPDIR)/$(am__dirstamp)
src/cpp/$(am__dirstamp):
	@$(MKDIR_P) src/cpp
	@: > src/cpp/$(am__dirstamp)
src/cpp/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/cpp/$(DEPDIR)
	@: > src/cpp/$(DEPDIR)/$(am__dirstamp)
src/cpp/libscixcos_algo_la-xcosUtilities.lo: src/cpp/$(am__dirstamp) \
	src/cpp/$(DEPDIR)/$(am__dirstamp)

libscixcos-algo.la: $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_DEPENDENCIES) $(EXTRA_libscixcos_algo_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(CXXLINK) $(am_libscixcos_algo_la_rpath) $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_LIBADD) $(LIBS)
src/noxcos/$(am__dirstamp):
	@$(MKDIR_P) src/noxcos
	@: > src/noxcos/$(am__dirstamp)
src/noxcos/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) src/noxcos/$(DEPDIR)
	@: > src/noxcos/$(DEPDIR)/$(am__dirstamp)
src/noxcos/libscixcos_disable_la-noxcos.lo:  \
	src/noxcos/$(am__dirstamp) \
	src/noxcos/$(DEPDIR)/$(am__dirstamp)

libscixcos-disable.la: $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_DEPENDENCIES) $(EXTRA_libscixcos_disable_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_LIBADD) $(LIBS)
sci_gateway/c/$(am__dirstamp):
	@$(MKDIR_P) sci_gateway/c
	@: > sci_gateway/c/$(am__dirstamp)
sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) sci_gateway/c/$(DEPDIR)
	@: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
sci_gateway/c/libscixcos_la-gw_xcos.lo: sci_gateway/c/$(am__dirstamp) \
	sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/$(am__dirstamp):
	@$(MKDIR_P) sci_gateway/cpp
	@: > sci_gateway/cpp/$(am__dirstamp)
sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
	@: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_Xcos.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo:  \
	sci_gateway/cpp/$(am__dirstamp) \
	sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)

libscixcos.la: $(libscixcos_la_OBJECTS) $(libscixcos_la_DEPENDENCIES) $(EXTRA_libscixcos_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(CXXLINK) $(am_libscixcos_la_rpath) $(libscixcos_la_OBJECTS) $(libscixcos_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f sci_gateway/c/*.$(OBJEXT)
	-rm -f sci_gateway/c/*.lo
	-rm -f sci_gateway/cpp/*.$(OBJEXT)
	-rm -f sci_gateway/cpp/*.lo
	-rm -f src/cpp/*.$(OBJEXT)
	-rm -f src/cpp/*.lo
	-rm -f src/jni/*.$(OBJEXT)
	-rm -f src/jni/*.lo
	-rm -f src/noxcos/*.$(OBJEXT)
	-rm -f src/noxcos/*.lo

distclean-compile:
	-rm -f *.tab.c

include sci_gateway/c/$(DEPDIR)/libscixcos_la-gw_xcos.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_Xcos.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_loadXcos.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGet.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Plo
include sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo
include src/cpp/$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo
include src/jni/$(DEPDIR)/libscixcos_algo_la-Modelica.Plo
include src/jni/$(DEPDIR)/libscixcos_algo_la-Palette.Plo
include src/jni/$(DEPDIR)/libscixcos_algo_la-Xcos.Plo
include src/noxcos/$(DEPDIR)/libscixcos_disable_la-noxcos.Plo

.c.o:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

src/noxcos/libscixcos_disable_la-noxcos.lo: src/noxcos/noxcos.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noxcos/libscixcos_disable_la-noxcos.lo -MD -MP -MF src/noxcos/$(DEPDIR)/libscixcos_disable_la-noxcos.Tpo -c -o src/noxcos/libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
	$(AM_V_at)$(am__mv) src/noxcos/$(DEPDIR)/libscixcos_disable_la-noxcos.Tpo src/noxcos/$(DEPDIR)/libscixcos_disable_la-noxcos.Plo
#	$(AM_V_CC)source='src/noxcos/noxcos.c' object='src/noxcos/libscixcos_disable_la-noxcos.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noxcos/libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c

sci_gateway/c/libscixcos_la-gw_xcos.lo: sci_gateway/c/gw_xcos.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscixcos_la-gw_xcos.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscixcos_la-gw_xcos.Tpo -c -o sci_gateway/c/libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
	$(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscixcos_la-gw_xcos.Tpo sci_gateway/c/$(DEPDIR)/libscixcos_la-gw_xcos.Plo
#	$(AM_V_CC)source='sci_gateway/c/gw_xcos.c' object='sci_gateway/c/libscixcos_la-gw_xcos.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c

.cpp.o:
	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CXX)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LTCXXCOMPILE) -c -o $@ $<

src/jni/libscixcos_algo_la-Xcos.lo: src/jni/Xcos.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscixcos_algo_la-Xcos.lo -MD -MP -MF src/jni/$(DEPDIR)/libscixcos_algo_la-Xcos.Tpo -c -o src/jni/libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
	$(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscixcos_algo_la-Xcos.Tpo src/jni/$(DEPDIR)/libscixcos_algo_la-Xcos.Plo
#	$(AM_V_CXX)source='src/jni/Xcos.cpp' object='src/jni/libscixcos_algo_la-Xcos.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp

src/jni/libscixcos_algo_la-Palette.lo: src/jni/Palette.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscixcos_algo_la-Palette.lo -MD -MP -MF src/jni/$(DEPDIR)/libscixcos_algo_la-Palette.Tpo -c -o src/jni/libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
	$(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscixcos_algo_la-Palette.Tpo src/jni/$(DEPDIR)/libscixcos_algo_la-Palette.Plo
#	$(AM_V_CXX)source='src/jni/Palette.cpp' object='src/jni/libscixcos_algo_la-Palette.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp

src/jni/libscixcos_algo_la-Modelica.lo: src/jni/Modelica.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscixcos_algo_la-Modelica.lo -MD -MP -MF src/jni/$(DEPDIR)/libscixcos_algo_la-Modelica.Tpo -c -o src/jni/libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
	$(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscixcos_algo_la-Modelica.Tpo src/jni/$(DEPDIR)/libscixcos_algo_la-Modelica.Plo
#	$(AM_V_CXX)source='src/jni/Modelica.cpp' object='src/jni/libscixcos_algo_la-Modelica.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp

src/cpp/libscixcos_algo_la-xcosUtilities.lo: src/cpp/xcosUtilities.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscixcos_algo_la-xcosUtilities.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo -c -o src/cpp/libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
	$(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo src/cpp/$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo
#	$(AM_V_CXX)source='src/cpp/xcosUtilities.cpp' object='src/cpp/libscixcos_algo_la-xcosUtilities.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp

sci_gateway/cpp/libscixcos_la-sci_Xcos.lo: sci_gateway/cpp/sci_Xcos.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_Xcos.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_Xcos.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_Xcos.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_Xcos.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_Xcos.cpp' object='sci_gateway/cpp/libscixcos_la-sci_Xcos.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp

sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo: sci_gateway/cpp/sci_warnBlockByUID.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_warnBlockByUID.cpp' object='sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp

sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo: sci_gateway/cpp/sci_closeXcosFromScilab.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_closeXcosFromScilab.cpp' object='sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo: sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo: sci_gateway/cpp/sci_xcosPalLoad.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalLoad.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo: sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo: sci_gateway/cpp/sci_xcosPalDelete.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalDelete.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo: sci_gateway/cpp/sci_xcosPalMove.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalMove.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo: sci_gateway/cpp/sci_xcosPalEnable.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalEnable.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo: sci_gateway/cpp/sci_xcosPalDisable.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalDisable.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo: sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo: sci_gateway/cpp/sci_xcosPalGet.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGet.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo `test -f 'sci_gateway/cpp/sci_xcosPalGet.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGet.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGet.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosPalGet.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosPalGet.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosPalGet.lo `test -f 'sci_gateway/cpp/sci_xcosPalGet.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGet.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo: sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo: sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo: sci_gateway/cpp/sci_xcosUpdateBlock.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosUpdateBlock.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp

sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo: sci_gateway/cpp/sci_loadXcos.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_loadXcos.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_loadXcos.cpp' object='sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp

sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo: sci_gateway/cpp/sci_xcosSimulationStarted.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Tpo -c -o sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo `test -f 'sci_gateway/cpp/sci_xcosSimulationStarted.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosSimulationStarted.cpp
	$(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Tpo sci_gateway/cpp/$(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Plo
#	$(AM_V_CXX)source='sci_gateway/cpp/sci_xcosSimulationStarted.cpp' object='sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscixcos_la-sci_xcosSimulationStarted.lo `test -f 'sci_gateway/cpp/sci_xcosSimulationStarted.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosSimulationStarted.cpp

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
	-rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
	-rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
	-rm -rf src/cpp/.libs src/cpp/_libs
	-rm -rf src/jni/.libs src/jni/_libs
	-rm -rf src/noxcos/.libs src/noxcos/_libs
install-libscixcos_la_etcDATA: $(libscixcos_la_etc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_etcdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_etcdir)" || exit $$?; \
	done

uninstall-libscixcos_la_etcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscixcos_la_etcdir)'; $(am__uninstall_files_from_dir)
install-libscixcos_la_rootDATA: $(libscixcos_la_root_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_rootdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_rootdir)" || exit $$?; \
	done

uninstall-libscixcos_la_rootDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscixcos_la_rootdir)'; $(am__uninstall_files_from_dir)
install-libscixcos_la_sci_gatewayDATA: $(libscixcos_la_sci_gateway_DATA)
	@$(NORMAL_INSTALL)
	@list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit $$?; \
	done

uninstall-libscixcos_la_sci_gatewayDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
install-nobase_libscixcos_la_imagesDATA: $(nobase_libscixcos_la_images_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)" || exit 1; \
	fi; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir"; }; \
	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_libscixcos_la_imagesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	dir='$(DESTDIR)$(libscixcos_la_imagesdir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
installdirs:
	for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscixcos_la_etcdir)" "$(DESTDIR)$(libscixcos_la_rootdir)" "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" "$(DESTDIR)$(libscixcos_la_imagesdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
	-rm -f sci_gateway/c/$(am__dirstamp)
	-rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
	-rm -f sci_gateway/cpp/$(am__dirstamp)
	-rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/cpp/$(am__dirstamp)
	-rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/jni/$(am__dirstamp)
	-rm -f src/noxcos/$(DEPDIR)/$(am__dirstamp)
	-rm -f src/noxcos/$(am__dirstamp)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am

distclean: distclean-am
	-rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noxcos/$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-local distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-data-local install-libscixcos_la_etcDATA \
	install-libscixcos_la_rootDATA \
	install-libscixcos_la_sci_gatewayDATA \
	install-nobase_libscixcos_la_imagesDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-pkglibLTLIBRARIES

install-html: install-html-am

install-html-am: install-html-local

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noxcos/$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-libscixcos_la_etcDATA \
	uninstall-libscixcos_la_rootDATA \
	uninstall-libscixcos_la_sci_gatewayDATA \
	uninstall-nobase_libscixcos_la_imagesDATA \
	uninstall-pkglibLTLIBRARIES

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
	check-local clean clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-local distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-data-local install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-html-local install-info \
	install-info-am install-libscixcos_la_etcDATA \
	install-libscixcos_la_rootDATA \
	install-libscixcos_la_sci_gatewayDATA install-man \
	install-nobase_libscixcos_la_imagesDATA install-pdf \
	install-pdf-am install-pkglibLTLIBRARIES install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am uninstall-libscixcos_la_etcDATA \
	uninstall-libscixcos_la_rootDATA \
	uninstall-libscixcos_la_sci_gatewayDATA \
	uninstall-nobase_libscixcos_la_imagesDATA \
	uninstall-pkglibLTLIBRARIES


# This target enables tests for Scilab
check-local: $(top_builddir)/scilab-bin test
	if test -d $(mydatadir)/tests; then \
	  @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
	fi
check-code:
	if test -f build.xml; then \
		$(ANT) checkstyle; \
	fi
	if test -x "$(SPLINT)"; then \
		$(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
	fi
java:
# Some configurations needs to export JAVA_HOME in the current env
	@if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
	if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
	if test -f build.xml -a $$USEANT -eq 1; then \
		$(ANT); \
	fi

clean-java:
# Some configurations needs to export JAVA_HOME in the current env
	@if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
	if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
	if test -f build.xml -a $$USEANT -eq 1; then \
		$(ANT) clean; \
	fi;

# If the user request for the SWIG generation of the wrappers Java => C/C++ 
# We call the target swig-build on the variable SWIG_WRAPPERS

#swig: $(SWIG_WRAPPERS)
#	@SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
#	SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
#	if test -n "$(SWIG_WRAPPERS)"; then \
#		for file in $(SWIG_WRAPPERS) ; do \
#			echo "Swig process of $$file (Java) ..."; \
#			$(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
#		done; \
#	fi

#swig-scilab: $(SWIG_SCILAB_WRAPPERS)
#	@SWIG_OUTDIR=src/swig/; \
#	if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
#		for file in $(SWIG_SCILAB_WRAPPERS) ; do \
#			echo "Swig process of $$file (Scilab) ..."; \
#			$(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
#		done; \
#	fi

# If the user request for the SWIG generation of the wrappers Java => C/C++ 
# We call the target swig-build on the variable SWIG_WRAPPERS

#giws: $(GIWS_WRAPPERS)
#	@GIWS_OUTPUTDIR=src/jni/; \
#	MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
#	if test -n "$(GIWS_WRAPPERS)"; then \
#		for file in $(GIWS_WRAPPERS) ; do \
#			echo "GIWS process of $$file ..."; \
#			if test -z "$(GIWS_OPTIONS)"; then \
#				$(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
#			else \
#				echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
#				$(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
#			fi \
#		done; \
#	fi

#giws-exception:
#	@GIWS_OUTPUTDIR=src/jni/;\
#	echo "GIWS: Generation of exception class ..."; \
#	$(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 

macros:
	-@( if test ! -x $(top_builddir)/scilab-bin; then \
		echo "Error : Cannot build $< : Scilab has not been built"; \
	else \
		$(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
	fi)

# Removes the macros
clean-macros:
# Removes macros (*.bin generated from .sci)
	@for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
		echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
		rm -f $(builddir)/$$dir/$(MACROBINMASK); \
	done

test:
# More tests could be added here
	@if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
	if test -f build.xml -a $$USEANT -eq 1; then \
		$(ANT) test; \
	fi

all-local: $(TARGETS_ALL)

.sci.bin:
	-@( if test ! -x $(top_builddir)/scilab-bin; then \
	echo "Error : Cannot build $< : Scilab has not been build"; \
	else \
	echo "Creating $@"; \
	$(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
	fi )

install-html-local:

install-data-local-local:
# Mainly for javasci
	@if test -d $(srcdir)/javadoc; then \
		cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
	fi
# If the user wants the help sources to be installed
	@echo "-------- Install of XML sources of help files --------"; \
	for lang in $(ALL_LINGUAS); do \
	 if test -d $(srcdir)/help/$$lang; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
		if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
		  for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
		  done ; \
		fi; \
	 fi; \
	done; \
	@echo "-------- Install of MathML sources --------"; \
	 if test -d $(srcdir)/help/mml/; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
		if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
		  for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
		  done ; \
		fi; \
	fi
install-data-local:
# Install the tests
	@echo "-------- Install tests (if any) --------"; \
	for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
	  if test -d $(srcdir)/$$dir/; then \
	    $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
		  for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
		    if test -d "$(srcdir)/$$dir/$$file"; then \
			  echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
			  $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
		    else \
		      echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
	    	  $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
		    fi \
		  done; \
	  fi; \
	done
# Install the help chapter
	@echo "-------- Install the help chapter (if any) --------"; \
	for lang in $(HELP_CHAPTERLANG); do \
		HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
		if test -f $$HELPFILE; then \
			echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
			$(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
			echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
			$(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
		fi; \
	done
# Install the demos & examples
	@echo "-------- Install demos & examples (if any) --------"; \
	for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
	  if test -d $(srcdir)/$$dir/; then \
	    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
		  for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
		    if test -d "$(srcdir)/$$dir/$$file"; then \
			  echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
			  $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
		    else \
		      echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
	    	  $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
		    fi \
		  done; \
	  fi; \
	done
# Install the macros
	@echo "-------- Install macros (if any) --------"; \
	for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
	  $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
		if test -d $(srcdir)/$$dir/; then \
			FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
			if test -n "$(MACROSSPECIALEXT)"; then \
				specialExtDir=""; \
				for specialExt in $(MACROSSPECIALEXT); do \
					specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
				done; \
				FILELIST="$$FILELIST $$specialExtDir"; \
			fi; \
		  for file in `ls -1 $$FILELIST 2>/dev/null`; do \
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
		  done; \
		fi; \
	done
# Install java files (.jar)
	@if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
	echo "-------- Install jar files --------"; \
    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
	  for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
		    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
	    	$(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
	  done ; \
	fi

########### CLEAN ###################
# Clean help (generated automatically by Scilab)
# It used to clean the macro (clean-macros) but this was causing
# make clean && make to fail Scilab startup
clean-local: clean-java
#clean-local:

distclean-local:
	rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*

.PHONY: macros java swig giws

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: